# Generated by Django 3.2.7 on 2021-09-27 21:07

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('tickets', '0004_rename_pririty_ticket_priority'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='ticket',
            options={'ordering': ['-create_at'], 'verbose_name_plural': 'tickets'},
        ),
        migrations.AlterModelOptions(
            name='ticketdetail',
            options={'ordering': ['-create_at'], 'verbose_name_plural': 'tickets details'},
        ),
        migrations.AlterModelOptions(
            name='ticketstatus',
            options={'ordering': ['-create_at'], 'verbose_name_plural': 'tickets status'},
        ),
        migrations.AddField(
            model_name='ticket',
            name='icon',
            field=models.CharField(blank=True, max_length=200, null=True),
        ),
        migrations.AlterField(
            model_name='ticketdetail',
            name='description',
            field=models.TextField(),
        ),
        migrations.AlterField(
            model_name='ticketdetail',
            name='ticket',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='detail', to='tickets.ticket'),
        ),
        migrations.AlterField(
            model_name='ticketstatus',
            name='status',
            field=models.CharField(choices=[('OPEN', 'Open'), ('IN_PROGRESS', 'In progress'), ('SCALED', 'Scaled'), ('PENDING', 'Pending'), ('SUCCESS', 'Success'), ('CLOSE', 'Close'), ('REJECT', 'Reject')], default='OPEN', max_length=30),
        ),
        migrations.AlterField(
            model_name='ticketstatus',
            name='ticket',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='status', to='tickets.ticket'),
        ),
    ]
